## univention-management-console 13.0.29

=== debian/changelog ===
univention-management-console (13.0.29) unstable; urgency=medium

  * Bug #57714: Make connection pool settings (`pool_size`,
    `max_overflow`, `pool_timeout`, `pool_recycle`) configurable
    via `univention-management-console-settings` for improved
    resource management.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 30 Oct 2024 14:03:01 +0100

univention-management-console (13.0.28) unstable; urgency=medium

  * Bug #57680: Fix get_session context manager to properly close SQLAlchemy sessions after use
  * Bug #57680: Correct scoped_session usage in DbRegistry for Tornado's event loop model.

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 21 Oct 2024 14:33:22 +0200

univention-management-console (13.0.27) unstable; urgency=medium

  * Issue univention/components/keycloak-app#224: OIDC Doesn't work with
    mixed case domainname

 -- Julia Bremer <bremer@univention.de>  Mon, 21 Oct 2024 09:58:09 +0200

univention-management-console (13.0.25) unstable; urgency=medium

  * Bug #57563: Remove portal refresh on expiry

 -- Julia Bremer <bremer@univention.de>  Tue, 01 Oct 2024 15:27:38 +0200

univention-management-console (13.0.24) unstable; urgency=medium

  * Bug #57515: Delete umc session when refresh OIDC token fail with
   invalid_grant

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 30 Sep 2023 11:27:33 +0100

univention-management-console (13.0.23) unstable; urgency=medium

  * Bug #57622: hard dependency to psycopg2

 -- Felix Botner <botner@univention.de>  Fri, 27 Sep 2024 12:41:17 +0200

univention-management-console (13.0.22) unstable; urgency=medium

  * Bug #57482: Add an SQL database for session storage.
  * Bug #57467: Add /logout-sse endpoint which will send a message to the attached
    client indicating that the current session has ended due to logout/expiry.

 -- Marius Meschter <marius.meschter@univention.de>  Wed, 28 Aug 2024 11:51:25 +0200

univention-management-console (13.0.21) unstable; urgency=medium

  * Bug #57483: Simplify UMC OIDC setup

 -- Felix Botner <botner@univention.de>  Mon, 26 Aug 2024 14:19:33 +0200

univention-management-console (13.0.20) unstable; urgency=medium

  * Bug #57506: Do not show the OIDC consent screen when the RP is the UMC

 -- Mika Westphal <westphal@univention.de>  Wed, 21 Aug 2024 14:25:11 +0200

univention-management-console (13.0.19) unstable; urgency=medium

  * Bug 57505: Ensure file mode 600 for oidc.json

 -- Felix Botner <botner@univention.de>  Thu, 08 Aug 2024 20:57:57 +0200

univention-management-console (13.0.18) unstable; urgency=medium

  * Bug #57311: log reason for failed LDAP connection

 -- Felix Botner <botner@univention.de>  Fri, 24 May 2024 12:07:09 +0200

univention-management-console (13.0.17) unstable; urgency=medium

  * Bug #57229: Add missing keycloak/server/sso/fqdn UCRV to univention-management-console-web-server.univention-config-registry

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 13 May 2024 08:46:27 +0200

univention-management-console (13.0.16) unstable; urgency=medium

  * Bug #57163: do not setup simplesamlphp with a 5.2 primary

 -- Felix Botner <botner@univention.de>  Mon, 29 Apr 2024 10:34:18 +0200

univention-management-console (13.0.15) unstable; urgency=medium

  * Bug #56906: copytruncate logfiles during logrotate

 -- Felix Botner <botner@univention.de>  Wed, 17 Apr 2024 15:01:16 +0200

univention-management-console (13.0.13) unstable; urgency=medium

  * Bug #57113: fix umc/http/processes=0 evaluation in UCR template

 -- Florian Best <best@univention.de>  Mon, 18 Mar 2024 12:27:43 +0100

univention-management-console (13.0.12) unstable; urgency=medium

  * Bug #57154:  only change ownership and permission of
    UMC log file if not stdout or stderr

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 18 Mar 2024 11:54:46 +0100

univention-management-console (13.0.11) unstable; urgency=medium

  * Bug #57104: fix memory leak / circular references
  * Bug #57113: fix LDAP connection leak

 -- Florian Best <best@univention.de>  Thu, 14 Mar 2024 20:52:37 +0100

univention-management-console (13.0.10) unstable; urgency=medium

  * Bug #55915: remove `try` from `import typing`

 -- Maximilian Janßen <janssen@univention.de>  Thu, 07 Mar 2024 23:54:25 +0100

univention-management-console (13.0.9) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:10 +0100

univention-management-console (13.0.8) unstable; urgency=medium

  * Bug #56547: replace pam_tally with pam_faillock

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:54 +0100

univention-management-console (13.0.7) unstable; urgency=medium

  * Bug #55994: drop Python 2 binary packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:50 +0100

univention-management-console (13.0.6) unstable; urgency=medium

  * Bug #56538: adjust to Tornado changes

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:49 +0100

univention-management-console (13.0.5) unstable; urgency=medium

  * Bug #56002: replace upstream removed libpam-cracklib with libpam-
    pwquality

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:47 +0100

univention-management-console (13.0.4) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:34 +0100

univention-management-console (13.0.3) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:19 +0100

univention-management-console (13.0.2) unstable; urgency=medium

  * Bug #57001: update UMC SAML metadata in Keycloak on changes

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:18 +0100

univention-management-console (13.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump


