## univention-management-console 14.0.45

=== debian/changelog ===
univention-management-console (14.0.45) unstable; urgency=medium

  * Issue univention/components/keycloak-app#206: always lower-case the output
    of get-keycloak-base-url when setting umc/oidc/issuer in UMC join script

 -- Marius Meschter <marius.meschter@univention.de>  Tue, 17 Dec 2024 15:16:23 +0100

univention-management-console (14.0.44) unstable; urgency=medium

  * Issue univention/components/keycloak-app#206: Change settings from keycloak/server/sso/fqdn to ucs/server/sso/uri

 -- Julia Bremer <bremer@univention.de>  Sun, 08 Dec 2024 17:18:01 +0100

univention-management-console (14.0.43) unstable; urgency=medium

  *  Issue univention/ucs#2528: Fix changelog timestamp

 -- Marius Meschter <marius.meschter@univention.de>  Thu, 05 Dec 2024 15:19:31 +0100

univention-management-console (14.0.42) unstable; urgency=medium

  * Bug #57563: Remove portal refresh on oicd session refresh fail

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 05 Dec 2024 15:13:46 +0200

univention-management-console (14.0.41) unstable; urgency=medium

  * Issue univention/ucs#2519: Remove code for advocating the Univention
    Summit and the ambassador program

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 26 Nov 2024 00:05:23 +0100

univention-management-console (14.0.40) unstable; urgency=medium

  * Bug #57714: Make connection pool settings (`pool_size`,
    `max_overflow`, `pool_timeout`, `pool_recycle`) configurable
    via `univention-management-console-settings` for improved
    resource management.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 30 Oct 2024 14:03:01 +0100

univention-management-console (14.0.39) unstable; urgency=medium

  * Bug #57680: Fix get_session context manager to properly close SQLAlchemy sessions after use
  * Bug #57680: Correct scoped_session usage in DbRegistry for Tornado's event loop model.

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 21 Oct 2024 14:33:22 +0200

univention-management-console (14.0.37) unstable; urgency=medium

  * Issue univention/components/keycloak-app#224: OIDC Doesn't work with
    mixed case domainname

 -- Julia Bremer <bremer@univention.de>  Mon, 21 Oct 2024 10:00:07 +0200

univention-management-console (14.0.35) unstable; urgency=medium

  * Bug #57516: Add Content-Security-Policy frame-ancestors for oidc/frontchannel-logout

 -- Christian Castens <castens@univention.de>  Mon, 14 Oct 2024 16:22:46 +0200

univention-management-console (14.0.34) unstable; urgency=medium

  * Bug #57563: Remove portal refresh on expiry

 -- Julia Bremer <bremer@univention.de>  Tue, 01 Oct 2024 15:27:38 +0200

univention-management-console (14.0.33) unstable; urgency=medium

  * Bug #57515: Delete umc session when refresh OIDC token fail with
   invalid_grant

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 30 Sep 2023 11:27:33 +0100

univention-management-console (14.0.32) unstable; urgency=medium

  * Bug #57622: hard dependency to psycopg2

 -- Felix Botner <botner@univention.de>  Fri, 27 Sep 2024 12:45:27 +0200

univention-management-console (14.0.31) unstable; urgency=medium

  * Bug #57482: Add an SQL database for session storage.

 -- Marius Meschter <marius.meschter@univention.de>  Wed, 03 Sep 2024 15:07:32 +0200

univention-management-console (14.0.30) unstable; urgency=medium

  * univention/ucs#2388 close http client after getting access token

 -- Felix Botner <botner@univention.de>  Thu, 29 Aug 2024 20:18:43 +0200

univention-management-console (14.0.29) unstable; urgency=medium

  * Bug #57483: Simplify UMC OIDC setup

 -- Felix Botner <botner@univention.de>  Mon, 26 Aug 2024 14:32:31 +0200

univention-management-console (14.0.27) unstable; urgency=medium

  * Bug #57506: Do not show the OIDC consent screen when the RP is the UMC

 -- Mika Westphal <westphal@univention.de>  Wed, 21 Aug 2024 14:25:11 +0200

univention-management-console (14.0.26) unstable; urgency=medium

  * Bug #57475: add oidc-id-token hint to disable logout confirmation dialog

 -- Christian Castens <castens@univention.de>  Wed, 14 Aug 2024 17:11:08 +0200

univention-management-console (14.0.25) unstable; urgency=medium

  * univention/ucs#2388 don't verify refresh token for getting expiry

 -- Marius Meschter <marius.meschter@univention.de>  Tue, 13 Aug 2024 11:24:43 +0200

univention-management-console (14.0.24) unstable; urgency=medium

  * Bug #57467: Add /logout-sse endpoint which will send a message to the attached
    client indicating that the current session has ended due to logout/expiry.

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 12 Aug 2024 15:17:31 +0200

univention-management-console (14.0.22) unstable; urgency=medium

  * Bug 57505: Ensure file mode 600 for oidc.json

 -- Felix Botner <botner@univention.de>  Thu, 08 Aug 2024 21:03:08 +0200

univention-management-console (14.0.21) unstable; urgency=medium

  * Bug #57194: Ensure file descriptors are closed upon module process death

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 14 Jun 2024 17:23:33 +0200

univention-management-console (14.0.20) unstable; urgency=medium

  * Bug #56858: replace transitional packages

 -- Christian Castens <castens@univention.de>  Mon, 03 Jun 2024 16:00:00 +0200

univention-management-console (14.0.19) unstable; urgency=medium

  * Bug #57311: log reason for failed LDAP connection

 -- Felix Botner <botner@univention.de>  Fri, 24 May 2024 12:10:45 +0200

univention-management-console (14.0.16) unstable; urgency=medium

  * Bug #57229: Add missing keycloak/server/sso/fqdn UCRV to univention-management-console-web-server.univention-config-registry

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 13 May 2024 08:48:18 +0200

univention-management-console (14.0.15) unstable; urgency=medium

  * Bug #57163: do not setup simplesamlphp with a 5.2 primary

 -- Felix Botner <botner@univention.de>  Mon, 29 Apr 2024 10:19:14 +0200

univention-management-console (14.0.14) unstable; urgency=medium


