## univention-management-console 14.1.1

=== debian/changelog ===
univention-management-console (14.1.1) unstable; urgency=medium

  * Bug #46057: logging of stack traces is now done with ERROR facility and
    the format has been corrected

 -- Florian Best <best@univention.de>  Fri, 28 Mar 2025 08:00:56 +0100

univention-management-console (14.1.0) unstable; urgency=medium

  [ Florian Best ]
  * Bug #58114: enhance log message when retrieving OIDC access token
    failed

  [ Christian Castens ]
  * Bug #58015 UCS 5.2-1 version bump

 -- Florian Best <best@univention.de>  Tue, 25 Mar 2025 08:08:10 +0100
