## univention-management-console 14.1.2

=== debian/changelog ===
univention-management-console (14.1.2) unstable; urgency=medium

  * Bug #58210: add 'ldap/server/sasl/oauthbearer/no-tls' configuration option

 -- Florian Best <best@univention.de>  Wed, 16 Apr 2025 23:49:17 +0200
