## univention-management-console 14.1.3

=== debian/changelog ===
univention-management-console (14.1.3) unstable; urgency=medium

  * Bug #54257: remove sensible data from meta.json

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 06 May 2025 14:43:51 +0200

univention-management-console (0.4.12-1) unstable; urgency=lo
