## univention-management-console 14.1.4

=== debian/changelog ===
univention-management-console (14.1.4) unstable; urgency=medium

  * Bug #58280 make hiding of FQDN and server address in meta.json configurable

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 20 May 2025 11:15:12 +0200
