## univention-management-console 14.2.0

=== debian/changelog ===
univention-management-console (14.2.0) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58344 UCS 5.2-2 version bump

  [ Florian Best ]
  * Bug #58404: fix error messages for 502/503 HTTP errors for services
    underneath of /univention/

 -- Florian Best <best@univention.de>  Wed, 18 Jun 2025 10:48:39 +0200
