## univention-management-console 14.3.1

=== debian/changelog ===
univention-management-console (14.3.1) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58568: UCS 5.2-3 version bump

  [ Dimitri Papoutsis ]
  * Bug #58269: Concurrent logins not working with OIDC

 -- Dimitri Papoutsis <dimitri.papoutsis.extern@univention.de>  Tue, 16 Sep 2025 12:50:31 +0200
