## univention-management-console 14.3.2

=== debian/changelog ===
univention-management-console (14.3.2) unstable; urgency=medium

  * Bug #58644: make logging compatible to structured logging

 -- Florian Best <best@univention.de>  Thu, 18 Sep 2025 13:46:59 +0200
