=== debian/control ===
--- 
+++ 
@@ -94,7 +94,7 @@
  python3-tornado,
  python3-univention,
  python3-univention-config-registry,
- python3-univention-debug (>= 12.0.3-1),
+ python3-univention-debug (>= 14.3.0),
  python3-univention-directory-manager (>= 15.0.25-3),
  python3-univention-lib,
  univention-join,
