=== umc-module-templates/debian/control ===
Source: PACKAGENAME
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 python3-all,
 univention-management-console-dev (>= 12.0.2),
Standards-Version: 3.7.2

Package: PACKAGENAME
Architecture: all
Depends:
 univention-management-console-server (>= 11.0.4-37),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: MODULEDESC
 MODULEDESC
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/
