=== umc-module-templates/debian/rules ===
#!/usr/bin/make -f
#
# Univention Management Console Module
#  rules file for the debian package
#
# SPDX-FileCopyrightText: YEAR Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

%:
	dh $@ --with python3,umc
