## univention-management-console 14.3.5

=== debian/changelog ===
univention-management-console (14.3.5) unstable; urgency=medium

  * Bug #58817: Show notification for Summit 2026

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 18 Nov 2025 12:43:54 +0100
