## univention-management-console 14.4.1

=== debian/changelog ===
univention-management-console (14.4.1) unstable; urgency=medium

  * Bug #58653: set .*/debug/structured-logging=true by default

 -- Florian Best <best@univention.de>  Fri, 28 Nov 2025 18:03:19 +0100

univention-management-console (14.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:00 +0100
